lib: fix OpenSSL 1.1 deprecation warning for ERR_remove_state #416

Closed
wants to merge 1 commit into
from

Conversation

Projects
None yet
2 participants
@jelly
Contributor

jelly commented Apr 3, 2017

ERR_remove_state has been marked deprecated in OpenSSL 1.1.0 and do
nothing, as the OpenSSL libraries now normally do all thread
initialization and deinitialisation automatically.

lib: fix OpenSSL 1.1 deprecation warning for ERR_remove_state
ERR_remove_state has been marked deprecated in OpenSSL 1.1.0 and do
nothing, as the OpenSSL libraries now normally do all thread
initialization and deinitialisation automatically.

Signed-off-by: Jelle van der Waa <jelle@vdwaa.nl>
@ralight

This comment has been minimized.

Show comment
Hide comment
@ralight

ralight May 5, 2017

Contributor

Sorry for the delay! That looks pretty sensible, thanks. I've pushed your patch to the fixes branch instead so I'm closing this PR.

ab266e7

Contributor

ralight commented May 5, 2017

Sorry for the delay! That looks pretty sensible, thanks. I've pushed your patch to the fixes branch instead so I'm closing this PR.

ab266e7

@ralight ralight closed this May 5, 2017

@jelly jelly deleted the jelly:openssl_1.1_deprecated branch May 8, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment